Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libwpg
Version:	0.1.3
Release:	3
License:	GNU/GPL
URL:		http://libwpg.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name}  a library for importing WordPerfect (tm) graphic images

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

#Manually build dependencies
BuildRequires: libwpd-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: perl

%description
Library for importing and converting Corel WordPerfect(tm) Graphics images

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package        doc
Summary:        %{name} documentation files.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    doc
documentation files for %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--includedir=%_includedir \
--sysconfdir=%_sysconfdir \
--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%_includedir/%{name}-0.1/%{name} $RPM_BUILD_ROOT%_includedir/%{name}
rm -Rf $RPM_BUILD_ROOT%_includedir/%{name}-0.1
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
#%_datadir/doc

%files devel
%defattr(-,root,root)
%_pkgconfig
%_libdir/*.so
%_libdir/*.la
%_includedir

%files doc
%defattr(-,root,root)
%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.3-3
- added libwpd as a manually BuildRequires
* Mon Dec 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.3-2
- corrected location of include files
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.3-1
- version update
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2-1
- Initial Release
